---
# yaml-language-server: $schema=https://json.schemastore.org/catalog-info.json
apiVersion: backstage.io/v1alpha1
kind: Component
metadata:
  name: elasticsearch-js
spec:
  type: library
  owner: group:clients-team
  lifecycle: production

---
# yaml-language-server: $schema=https://gist.githubusercontent.com/elasticmachine/988b80dae436cafea07d9a4a460a011d/raw/e57ee3bed7a6f73077a3f55a38e76e40ec87a7cf/rre.schema.json
apiVersion: backstage.io/v1alpha1
kind: Resource
metadata:
  name: elasticsearch-js-integration-tests
  description: elasticsearch-js - integration tests
spec:
  type: buildkite-pipeline
  owner: group:clients-team
  system: buildkite
  implementation:
    apiVersion: buildkite.elastic.dev/v1
    kind: Pipeline
    metadata:
      name: elasticsearch-js - integration tests
    spec:
      repository: elastic/elasticsearch-js
      pipeline_file: .buildkite/pipeline.yml
      teams:
        clients-team:
          access_level: MANAGE_BUILD_AND_READ
        everyone:
          access_level: READ_ONLY
      provider_settings:
        build_pull_requests: false
        build_branches: false
      cancel_intermediate_builds: true
      cancel_intermediate_builds_branch_filter: '!main'
      schedules:
        main_semi_daily:
          branch: 'main'
          cronline: '0 */12 * * *'
        8_13_semi_daily:
          branch: '8.13'
          cronline: '0 */12 * * *'
        8_12_daily:
          branch: '8.12'
          cronline: '@daily'
